Manifest-Version: 1.0
Bnd-LastModified: 1769749999313
Build-Jdk-Spec: 21
Bundle-Description: Apache Synapse - Commons classes
Bundle-DocURL: http://www.apache.org/
Bundle-License: http://www.apache.org/licenses/LICENSE-2.0.txt
Bundle-ManifestVersion: 2
Bundle-Name: Apache Synapse - Commons classes
Bundle-SymbolicName: synapse-commons
Bundle-Vendor: Apache Software Foundation
Bundle-Version: 4.1.0.wso2v1
Created-By: Apache Maven Bundle Plugin 5.1.9
DynamicImport-Package: *
Export-Package: org.apache.synapse.commons;uses:="org.apache.commons.log
 ging";version="4.1.0",org.apache.synapse.commons.beanstalk.enterprise;u
 ses:="javax.naming";version="4.1.0",org.apache.synapse.commons.builders
 ;uses:="org.apache.axiom.om,org.apache.axis2,org.apache.axis2.builder,o
 rg.apache.axis2.context";version="4.1.0",org.apache.synapse.commons.cry
 pto;uses:="org.apache.axis2";version="4.1.0",org.apache.synapse.commons
 .datasource;uses:="javax.naming,javax.sql,org.apache.synapse.commons.jm
 x,org.wso2.securevault.secret";version="4.1.0",org.apache.synapse.commo
 ns.datasource.factory;uses:="javax.sql,org.apache.synapse.commons.datas
 ource";version="4.1.0",org.apache.synapse.commons.datasource.serializer
 ;uses:="org.apache.synapse.commons.datasource";version="4.1.0",org.apac
 he.synapse.commons.emulator;uses:="com.google.gson,com.google.gson.refl
 ect";version="4.1.0",org.apache.synapse.commons.emulator.core;uses:="or
 g.apache.synapse.commons.emulator.http";version="4.1.0",org.apache.syna
 pse.commons.emulator.http;uses:="io.netty.channel,io.netty.channel.sock
 et,io.netty.handler.ssl,org.apache.synapse.commons.emulator.core,org.ap
 ache.synapse.commons.emulator.http.consumer,org.apache.synapse.commons.
 emulator.http.dsl,org.apache.synapse.commons.emulator.http.dsl.dto.prod
 ucer,org.apache.synapse.commons.emulator.http.producer";version="4.1.0"
 ,org.apache.synapse.commons.emulator.http.consumer;uses:="io.netty.chan
 nel,io.netty.handler.codec.http,org.apache.synapse.commons.emulator.htt
 p.dsl";version="4.1.0",org.apache.synapse.commons.emulator.http.dsl;use
 s:="io.netty.channel,io.netty.handler.codec.http,org.apache.synapse.com
 mons.emulator.core,org.apache.synapse.commons.emulator.http,org.apache.
 synapse.commons.emulator.http.dsl.dto.consumer,org.apache.synapse.commo
 ns.emulator.http.dsl.dto.producer";version="4.1.0",org.apache.synapse.c
 ommons.emulator.http.dsl.dto;version="4.1.0",org.apache.synapse.commons
 .emulator.http.dsl.dto.consumer;uses:="io.netty.handler.codec.http,org.
 apache.synapse.commons.emulator.http.consumer,org.apache.synapse.common
 s.emulator.http.dsl.dto";version="4.1.0",org.apache.synapse.commons.emu
 lator.http.dsl.dto.producer;uses:="io.netty.handler.codec.http,org.apac
 he.synapse.commons.emulator.http.dsl.dto";version="4.1.0",org.apache.sy
 napse.commons.emulator.http.producer;uses:="io.netty.buffer,io.netty.ch
 annel,io.netty.handler.codec.http,org.apache.synapse.commons.emulator.h
 ttp.dsl,org.apache.synapse.commons.emulator.http.dsl.dto.producer";vers
 ion="4.1.0",org.apache.synapse.commons.evaluators;uses:="org.apache.axi
 om.om,org.apache.axis2.context,org.apache.synapse.commons.evaluators.so
 urce";version="4.1.0",org.apache.synapse.commons.evaluators.config;uses
 :="org.apache.axiom.om,org.apache.commons.logging,org.apache.synapse.co
 mmons.evaluators,org.apache.synapse.commons.evaluators.source";version=
 "4.1.0",org.apache.synapse.commons.evaluators.source;uses:="org.apache.
 synapse.commons.evaluators";version="4.1.0",org.apache.synapse.commons.
 executors;version="4.1.0",org.apache.synapse.commons.executors.config;u
 ses:="javax.xml.namespace,org.apache.axiom.om,org.apache.axis2,org.apac
 he.synapse.commons.executors";version="4.1.0",org.apache.synapse.common
 s.executors.queues;uses:="org.apache.synapse.commons.executors";version
 ="4.1.0",org.apache.synapse.commons.formatters;uses:="org.apache.axiom.
 om,org.apache.axis2,org.apache.axis2.context,org.apache.axis2.transport
 ";version="4.1.0",org.apache.synapse.commons.handlers;uses:="org.apache
 .axis2.context";version="4.1.0",org.apache.synapse.commons.handlers.exc
 eption;version="4.1.0",org.apache.synapse.commons.jmx;uses:="javax.mana
 gement.remote,javax.security.auth,org.wso2.securevault.secret";version=
 "4.1.0",org.apache.synapse.commons.json;uses:="javax.xml.stream,org.apa
 che.axiom.om,org.apache.axis2,org.apache.axis2.builder,org.apache.axis2
 .context,org.apache.axis2.transport,org.apache.synapse.commons.staxon.c
 ore.json";version="4.1.0",org.apache.synapse.commons.json.jsonprocessor
 .constants;version="4.1.0",org.apache.synapse.commons.json.jsonprocesso
 r.exceptions;version="4.1.0",org.apache.synapse.commons.json.jsonproces
 sor.parser;uses:="org.apache.synapse.commons.json.jsonprocessor.excepti
 ons";version="4.1.0",org.apache.synapse.commons.json.jsonprocessor.util
 s;uses:="com.google.gson,org.apache.synapse.commons.json.jsonprocessor.
 exceptions";version="4.1.0",org.apache.synapse.commons.json.jsonprocess
 or.validators;uses:="com.google.gson,org.apache.synapse.commons.json.js
 onprocessor.exceptions";version="4.1.0",org.apache.synapse.commons.json
 .staxon;version="4.1.0",org.apache.synapse.commons.logger;uses:="org.ap
 ache.axis2.context,org.apache.commons.logging,org.apache.http.protocol"
 ;version="4.1.0",org.apache.synapse.commons.property;version="4.1.0",or
 g.apache.synapse.commons.resolvers;version="4.1.0",org.apache.synapse.c
 ommons.snmp;uses:="javax.management,org.snmp4j.agent.mo,org.snmp4j.smi"
 ;version="4.1.0",org.apache.synapse.commons.staxon.core.base;uses:="jav
 ax.xml.namespace,javax.xml.stream,javax.xml.stream.util,javax.xml.trans
 form";version="4.1.0",org.apache.synapse.commons.staxon.core.event;uses
 :="javax.xml.namespace,javax.xml.stream,javax.xml.stream.events,javax.x
 ml.stream.util";version="4.1.0",org.apache.synapse.commons.staxon.core.
 json;uses:="javax.xml.namespace,javax.xml.stream,org.apache.synapse.com
 mons.staxon.core.base,org.apache.synapse.commons.staxon.core.json.strea
 m,org.apache.synapse.commons.staxon.core.json.stream.impl";version="4.1
 .0",org.apache.synapse.commons.staxon.core.json.jaxb;uses:="jakarta.xml
 .bind,jakarta.xml.bind.annotation,javax.xml.namespace,javax.xml.stream,
 org.apache.synapse.commons.staxon.core.json";version="4.1.0",org.apache
 .synapse.commons.staxon.core.json.stream;uses:="javax.xml.stream,org.ap
 ache.synapse.commons.staxon.core.json.stream.impl";version="4.1.0",org.
 apache.synapse.commons.staxon.core.json.stream.impl;uses:="org.apache.s
 ynapse.commons.staxon.core.json.stream";version="4.1.0",org.apache.syna
 pse.commons.staxon.core.json.stream.util;uses:="javax.xml.namespace,org
 .apache.synapse.commons.staxon.core.json.stream";version="4.1.0",org.ap
 ache.synapse.commons.staxon.core.json.util;uses:="javax.xml.stream,java
 x.xml.stream.events,org.apache.synapse.commons.staxon.core.util";versio
 n="4.1.0",org.apache.synapse.commons.staxon.core.util;uses:="javax.xml.
 namespace,javax.xml.parsers,javax.xml.stream,javax.xml.stream.events,ja
 vax.xml.stream.util,org.w3c.dom";version="4.1.0",org.apache.synapse.com
 mons.staxon.core.xml.util;uses:="javax.xml.stream,javax.xml.stream.even
 ts,org.apache.synapse.commons.staxon.core.util";version="4.1.0",org.apa
 che.synapse.commons.templates.uri;version="4.1.0",org.apache.synapse.co
 mmons.templates.uri.parser;uses:="org.apache.synapse.commons.templates.
 uri";version="4.1.0",org.apache.synapse.commons.throttle.core;uses:="ja
 vax.cache,javax.xml.namespace,org.apache.axis2.clustering,org.apache.ax
 is2.context,org.apache.neethi";version="4.1.0",org.apache.synapse.commo
 ns.throttle.core.factory;uses:="org.apache.synapse.commons.throttle.cor
 e";version="4.1.0",org.apache.synapse.commons.throttle.core.impl.domain
 base;uses:="org.apache.synapse.commons.throttle.core";version="4.1.0",o
 rg.apache.synapse.commons.throttle.core.impl.ipbase;uses:="org.apache.s
 ynapse.commons.throttle.core";version="4.1.0",org.apache.synapse.common
 s.throttle.core.impl.rolebase;uses:="org.apache.synapse.commons.throttl
 e.core";version="4.1.0",org.apache.synapse.commons.throttle.core.intern
 al;uses:="org.apache.synapse.commons.throttle.core,org.osgi.service.com
 ponent";version="4.1.0",org.apache.synapse.commons.throttle.module;uses
 :="org.apache.axiom.om,org.apache.axis2,org.apache.axis2.context,org.ap
 ache.axis2.description,org.apache.axis2.engine,org.apache.axis2.modules
 ,org.apache.neethi,org.apache.synapse.commons.throttle.core";version="4
 .1.0",org.apache.synapse.commons.throttle.module.handler;uses:="org.apa
 che.axis2,org.apache.axis2.context,org.apache.axis2.engine,org.apache.a
 xis2.handlers,org.apache.synapse.commons.throttle.core";version="4.1.0"
 ,org.apache.synapse.commons.throttle.module.utils;uses:="org.apache.syn
 apse.commons.throttle.core";version="4.1.0",org.apache.synapse.commons.
 throttle.module.utils.impl;uses:="org.apache.synapse.commons.throttle.m
 odule.utils";version="4.1.0",org.apache.synapse.commons.transaction;use
 s:="javax.naming,javax.sql,javax.transaction,org.apache.commons.logging
 ";version="4.1.0",org.apache.synapse.commons.util;uses:="org.apache.axi
 om.om,org.apache.commons.logging";version="4.1.0",org.apache.synapse.co
 mmons.util.ext;version="4.1.0",org.apache.synapse.commons.vfs;uses:="or
 g.apache.axiom.attachments,org.apache.axis2.context,org.apache.axis2.de
 scription,org.apache.axis2.transport,org.apache.commons.vfs2";version="
 4.1.0"
Import-Package: com.google.common.util.concurrent;resolution:=optional;v
 ersion="[33.0,34)",com.google.gson;resolution:=optional;version="[2.13,
 3)",com.google.gson.reflect;resolution:=optional;version="[2.13,3)",com
 .google.gson.stream;resolution:=optional;version="[2.13,3)",com.hieryno
 mus.msdtyp;resolution:=optional;version="[0.11,1)",io.netty.bootstrap;r
 esolution:=optional;version="[4.2,5)",io.netty.buffer;resolution:=optio
 nal;version="[4.2,5)",io.netty.channel;resolution:=optional;version="[4
 .2,5)",io.netty.channel.nio;resolution:=optional;version="[4.2,5)",io.n
 etty.channel.socket;resolution:=optional;version="[4.2,5)",io.netty.cha
 nnel.socket.nio;resolution:=optional;version="[4.2,5)",io.netty.handler
 .codec;resolution:=optional;version="[4.2,5)",io.netty.handler.codec.ht
 tp;resolution:=optional;version="[4.2,5)",io.netty.handler.codec.http.c
 ookie;resolution:=optional;version="[4.2,5)",io.netty.handler.logging;r
 esolution:=optional;version="[4.2,5)",io.netty.handler.ssl;resolution:=
 optional;version="[4.2,5)",io.netty.handler.ssl.util;resolution:=option
 al;version="[4.2,5)",io.netty.util;resolution:=optional;version="[4.2,5
 )",io.netty.util.concurrent;resolution:=optional;version="[4.2,5)",jaka
 rta.xml.bind;resolution:=optional;version="[4.0,5)",jakarta.xml.bind.an
 notation;resolution:=optional;version="[4.0,5)",java.io;resolution:=opt
 ional,java.lang;resolution:=optional,java.lang.annotation;resolution:=o
 ptional,java.lang.invoke;resolution:=optional,java.lang.management;reso
 lution:=optional,java.lang.reflect;resolution:=optional,java.math;resol
 ution:=optional,java.net;resolution:=optional,java.nio.charset;resoluti
 on:=optional,java.nio.file;resolution:=optional,java.rmi;resolution:=op
 tional,java.rmi.registry;resolution:=optional,java.rmi.server;resolutio
 n:=optional,java.security;resolution:=optional,java.sql;resolution:=opt
 ional,java.text;resolution:=optional,java.time;resolution:=optional,jav
 a.util;resolution:=optional,java.util.concurrent;resolution:=optional,j
 ava.util.concurrent.atomic;resolution:=optional,java.util.concurrent.lo
 cks;resolution:=optional,java.util.regex;resolution:=optional,javax.act
 ivation;resolution:=optional;version="[0.0,1)",javax.cache;resolution:=
 optional;version="[1.0,2)",javax.management;resolution:=optional,javax.
 management.remote;resolution:=optional,javax.naming;resolution:=optiona
 l,javax.naming.spi;resolution:=optional,javax.net.ssl;resolution:=optio
 nal,javax.security.auth;resolution:=optional,javax.servlet.http;resolut
 ion:=optional;version="[3.0,4)",javax.sql;resolution:=optional,javax.tr
 ansaction;resolution:=optional,javax.transaction.xa;resolution:=optiona
 l,javax.xml.parsers;resolution:=optional,javax.xml.stream;resolution:=o
 ptional;version="[1.0,2)",javax.xml.stream.events;resolution:=optional;
 version="[1.0,2)",javax.xml.stream.util;resolution:=optional;version="[
 1.0,2)",javax.xml.transform;resolution:=optional,javax.xml.transform.do
 m;resolution:=optional,javax.xml.transform.stream;resolution:=optional,
 org.apache.axiom.attachments;resolution:=optional,org.apache.axiom.om;r
 esolution:=optional,org.apache.axiom.om.impl.builder;resolution:=option
 al,org.apache.axiom.om.impl.llom;resolution:=optional,org.apache.axiom.
 om.xpath;resolution:=optional,org.apache.axiom.soap;resolution:=optiona
 l,org.apache.axiom.util.base64;resolution:=optional,org.apache.axis2;re
 solution:=optional,org.apache.axis2.addressing;resolution:=optional,org
 .apache.axis2.builder;resolution:=optional,org.apache.axis2.clustering;
 resolution:=optional,org.apache.axis2.context;resolution:=optional,org.
 apache.axis2.description;resolution:=optional,org.apache.axis2.engine;r
 esolution:=optional,org.apache.axis2.handlers;resolution:=optional,org.
 apache.axis2.i18n;resolution:=optional,org.apache.axis2.java.security;r
 esolution:=optional,org.apache.axis2.modules;resolution:=optional,org.a
 pache.axis2.transport;resolution:=optional,org.apache.axis2.transport.b
 ase;resolution:=optional;version="[1.6,2)",org.apache.axis2.transport.b
 ase.threads;resolution:=optional;version="[1.6,2)",org.apache.axis2.tra
 nsport.http;resolution:=optional;version="[1.6,2)",org.apache.axis2.tra
 nsport.http.util;resolution:=optional;version="[1.6,2)",org.apache.axis
 2.util;resolution:=optional,org.apache.commons.io;resolution:=optional;
 version="[1.4,2)",org.apache.commons.io.output;resolution:=optional;ver
 sion="[1.4,2)",org.apache.commons.lang;resolution:=optional;version="[2
 .4,3)",org.apache.commons.lang3;resolution:=optional;version="[3.12,4)"
 ,org.apache.commons.lang3.math;resolution:=optional;version="[3.12,4)",
 org.apache.commons.logging;resolution:=optional,org.apache.commons.vfs2
 ;resolution:=optional,org.apache.commons.vfs2.impl;resolution:=optional
 ,org.apache.commons.vfs2.provider;resolution:=optional,org.apache.commo
 ns.vfs2.provider.ftps;resolution:=optional,org.apache.commons.vfs2.prov
 ider.smb2;resolution:=optional,org.apache.commons.vfs2.util;resolution:
 =optional,org.apache.geronimo.mail.util;resolution:=optional;version="[
 1.4,2)",org.apache.http.protocol;resolution:=optional,org.apache.loggin
 g.log4j;resolution:=optional;version="[2.20,3)",org.apache.neethi;resol
 ution:=optional,org.apache.neethi.builders.xml;resolution:=optional,org
 .apache.synapse.commons;resolution:=optional,org.apache.synapse.commons
 .datasource;resolution:=optional,org.apache.synapse.commons.datasource.
 factory;resolution:=optional,org.apache.synapse.commons.emulator;resolu
 tion:=optional,org.apache.synapse.commons.emulator.core;resolution:=opt
 ional,org.apache.synapse.commons.emulator.http;resolution:=optional,org
 .apache.synapse.commons.emulator.http.consumer;resolution:=optional,org
 .apache.synapse.commons.emulator.http.dsl;resolution:=optional,org.apac
 he.synapse.commons.emulator.http.dsl.dto;resolution:=optional,org.apach
 e.synapse.commons.emulator.http.dsl.dto.consumer;resolution:=optional,o
 rg.apache.synapse.commons.emulator.http.dsl.dto.producer;resolution:=op
 tional,org.apache.synapse.commons.emulator.http.producer;resolution:=op
 tional,org.apache.synapse.commons.evaluators;resolution:=optional,org.a
 pache.synapse.commons.evaluators.config;resolution:=optional,org.apache
 .synapse.commons.evaluators.source;resolution:=optional,org.apache.syna
 pse.commons.executors;resolution:=optional,org.apache.synapse.commons.e
 xecutors.queues;resolution:=optional,org.apache.synapse.commons.jmx;res
 olution:=optional,org.apache.synapse.commons.json.jsonprocessor.constan
 ts;resolution:=optional,org.apache.synapse.commons.json.jsonprocessor.e
 xceptions;resolution:=optional,org.apache.synapse.commons.json.jsonproc
 essor.utils;resolution:=optional,org.apache.synapse.commons.json.jsonpr
 ocessor.validators;resolution:=optional,org.apache.synapse.commons.prop
 erty;resolution:=optional,org.apache.synapse.commons.resolvers;resoluti
 on:=optional,org.apache.synapse.commons.staxon.core.base;resolution:=op
 tional,org.apache.synapse.commons.staxon.core.event;resolution:=optiona
 l,org.apache.synapse.commons.staxon.core.json;resolution:=optional,org.
 apache.synapse.commons.staxon.core.json.stream;resolution:=optional,org
 .apache.synapse.commons.staxon.core.json.stream.impl;resolution:=option
 al,org.apache.synapse.commons.staxon.core.json.stream.util;resolution:=
 optional,org.apache.synapse.commons.staxon.core.json.util;resolution:=o
 ptional,org.apache.synapse.commons.staxon.core.util;resolution:=optiona
 l,org.apache.synapse.commons.templates.uri;resolution:=optional,org.apa
 che.synapse.commons.templates.uri.parser;resolution:=optional,org.apach
 e.synapse.commons.throttle.core;resolution:=optional,org.apache.synapse
 .commons.throttle.core.factory;resolution:=optional,org.apache.synapse.
 commons.throttle.core.impl.domainbase;resolution:=optional,org.apache.s
 ynapse.commons.throttle.core.impl.ipbase;resolution:=optional,org.apach
 e.synapse.commons.throttle.core.impl.rolebase;resolution:=optional,org.
 apache.synapse.commons.throttle.core.internal;resolution:=optional,org.
 apache.synapse.commons.throttle.module;resolution:=optional,org.apache.
 synapse.commons.throttle.module.utils;resolution:=optional,org.apache.s
 ynapse.commons.throttle.module.utils.impl;resolution:=optional,org.apac
 he.synapse.commons.util;resolution:=optional,org.apache.tomcat.dbcp.dbc
 p2;resolution:=optional;version="[9.0,10)",org.apache.tomcat.dbcp.dbcp2
 .cpdsadapter;resolution:=optional;version="[9.0,10)",org.apache.tomcat.
 dbcp.dbcp2.datasources;resolution:=optional;version="[9.0,10)",org.jaxe
 n;resolution:=optional;version="[2.0,3)",org.osgi.service.component;res
 olution:=optional;version="[1.2,2)",org.snmp4j;resolution:=optional,org
 .snmp4j.agent;resolution:=optional,org.snmp4j.agent.mo;resolution:=opti
 onal,org.snmp4j.agent.mo.snmp;resolution:=optional,org.snmp4j.log;resol
 ution:=optional,org.snmp4j.mp;resolution:=optional,org.snmp4j.security;
 resolution:=optional,org.snmp4j.smi;resolution:=optional,org.snmp4j.tra
 nsport;resolution:=optional,org.w3c.dom;resolution:=optional,org.wso2.s
 ecurevault;resolution:=optional;version="[1.1,2)",org.wso2.securevault.
 commons;resolution:=optional;version="[1.1,2)",org.wso2.securevault.def
 inition;resolution:=optional;version="[1.1,2)",org.wso2.securevault.key
 store;resolution:=optional;version="[1.1,2)",org.wso2.securevault.secre
 t;resolution:=optional;version="[1.1,2)",org.xml.sax;resolution:=option
 al,org.xml.sax.helpers;resolution:=optional,javax.xml.namespace;version
 ="0.0.0"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compone
 nt)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(objectC
 lass=org.apache.synapse.commons.throttle.core.DistributedCounterManager
 )";effective:=active;resolution:=optional;cardinality:=multiple,osgi.se
 rvice;filter:="(objectClass=org.apache.synapse.commons.throttle.core.in
 ternal.DistributedThrottleProcessor)";effective:=active;resolution:=opt
 ional;cardinality:=multiple,osgi.ee;filter:="(&(osgi.ee=JavaSE)(version
 =21))"
Service-Component: OSGI-INF/throttle.core.services.xml
Tool: Bnd-6.3.1.202206071316
